# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'timeless/version'

Gem::Specification.new do |spec|
  spec.name          = "timeless"
  spec.version       = Timeless::VERSION
  spec.authors       = ["Adolfo Villafiorita"]
  spec.email         = ["adolfo.villafiorita@ict4g.net"]
  
  spec.summary       = %q{Timeless is a simple but effective command-line time tracker}
  spec.description   = %q{Timeless comes with a pomodoro timer, with a standard stopwatch (start, top), semantic tags in notes (projects, clients, activites), and reporting and exporting command.  Data is stored in csv and it can be easily imported into a spreadsheet.}

  spec.homepage      = "https://www.ict4g.net/gitea/adolfo/timeless"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})

  spec.add_development_dependency "bundler"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "minitest"

  spec.add_runtime_dependency 'slop', '~> 4.5.0'
  spec.add_runtime_dependency 'chronic'
  spec.add_runtime_dependency 'notiffany'
end
